var images = document.getElementsByClassName('image')
var nbImage = images.length
var wheel = document.getElementById('wheel')
var next = document.getElementById('next')
var previous = document.getElementById('previous')
var deg = 360 / nbImage
var nb = 0
var d = 0
var colored = document.getElementsByClassName('colored')
var coloredLenght = colored.length

//init background color
document.body.style.backgroundColor = images[nb].dataset.color
next.style.color = images[nb].dataset.color
previous.style.color = images[nb].dataset.color
// init circle images
for (let i = 0; i < nbImage; i++) {
  images[i].style.transform = 'translatey(calc(-200vh + 15vh)) rotate(' + deg * i + 'deg)'
}

//next
next.addEventListener('click', function () {
  next()
})
//previous
previous.addEventListener('click', function () {
  previous()
})
//next & previous key
document.addEventListener('keydown', function (e) {
  if (e.keyCode == 37) {
    previous()
  }
  if (e.keyCode == 39) {
    next()
  }
})

for (let i = 0 ; i < coloredLenght ; i++ ){
  colored[i].addEventListener('click', function () {
    nb = Number(colored[i].dataset.directionImage)
    d = -nb
    change(nb)
  })
}

var next = function () {
  if (nb == nbImage - 1) {
    nb = 0
  } else {
    nb += 1
  }
  d -= 1
  change(nb)
}

var previous = function () {
  if (nb == 0) {
    nb = nbImage - 1
  } else {
    nb -= 1
  }
  d += 1
  change(nb)
}

var change = function (nb) {
  wheel.style.transform = 'rotate(' + d * deg + 'deg)'
  let color = images[nb].dataset.color
  //console.log(color)
  document.body.style.backgroundColor = color

  let next = document.getElementById('next')
  let previous = document.getElementById('previous')
  next.style.color = color
  previous.style.color = color
}